Hey there.

So... you use an ad blocker. That's cool. Sometimes we do too.


But without ad revenue, we wouldn't even be here. And we might not be here much longer.

Please disable your ad blocker and click to continue.

Page 9 of 77 First ... 89101959 ... Last
  1. #81
    Nadrian Guest
    Great news! I cant wait for the e3 device.

  2. #82
    Ezio Guest
    A good solution but at high price.

  3. #83
    HeyManHRU Guest
    I doubt sony can patch the E3 flasher.

  4. #84
    Siggy12 Guest
    Yes !!!! You are probably right as we can see that from 3.60 to 3.x anyway is possible a downgrade but... they didn't care about your downgrade cause can stay very quite about the fact that anyway you need official 3.60 or above to play the new games. so in POOR WORDS... $ony don't care about the downgrade but CARE to a 3.60 or above hack

  5. #85
    oVERSoLDiER Guest
    Quote Originally Posted by elser1 View Post
    i hope this gets released soon.. i want one before it does get patched.. LOL
    The E3 Flasher is already available at some Internet stores, if you're talking about that.

  6. #86
    candan Guest
    Yes, it's available to preorder, but the original ship date wasn't until the 23rd of this month. Now they're saying there's more delays as they are including the NOR clip instead of having to solder the soft board to the mainboard.

  7. #87
    NTA Guest
    3.72 got OWNED. Gotta get this lol

    I hope it comes with an instruction manual

  8. #88
    lucasdanda Guest
    I have a Slim PS3 160gb NOR that came already with 3.66 OFW from the store. Will I be able to downgrade it to 3.55? Thank you!

  9. #89
    candan Guest
    There are some reports that CECH-25xx and CECH-3xxx models cannot be DG'd. Nothing confirmed though. These units are "supposed" to be un-hackable. If I were you I'd wait until it's confirmed or denied.

  10. #90
    NTA Guest
    Quote Originally Posted by lucasdanda View Post
    I have a Slim PS3 160gb NOR that came already with 3.66 OFW from the store. Will I be able to downgrade it to 3.55? Thank you!
    I don't think it's gonna be possible unless the base fw is 3.55 or lower... This is what's keeping me from getting another PS3

    The manual seems a bit... off somehow lol

Page 9 of 77 First ... 89101959 ... Last

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Log in